ressource.socialbetadocumentation
API referenceNotifications

Mark a notification read or unread, archived or not

Someone else's notification is 404.

PATCH
/api/v1/notifications/{id}

Sends a real request with your token. Prefer a read-only token; it is kept in this browser's storage.

Someone else's notification is 404.

Authorization

headerAuthorizationBearer <token>

A personal access token (rsk_…) or a Supabase access token.

Path Parameters

id*string
Match^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$

Request Body

application/json
  1. body
is_read?boolean
archived?boolean

Response Body

The notification's state

application/json
  1. response
id*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
is_read*boolean
read_at*string|null
archived_at*string|null
curl -X PATCH 'https://www.ressource.social/api/v1/notifications/string' \  -H 'Content-Type: application/json' \  -d '{}'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "is_read": true,  "read_at": "string",  "archived_at": "string"}